path: /build/build/libatomic_ops-dev-libs-7.6.6+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-libs/libatomic_ops -pv -t && \
    emerge -j ${JOBS} --nodeps dev-libs/libatomic_ops && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/libatomic_ops && \
    luet-portage --dir /pkgdir/libatomic_ops dev-libs/libatomic_ops && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:da68a0d8e5e5ba6d0520a5a918faa04ee681896e762389283de210f86b37f936
  package:
    name: libatomic_ops
    version: 7.6.6+1
    category: dev-libs
    requires:
    - name: llvm
      version: '>=0'
      category: sys-devel-20
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Implementation for atomic memory update operations
    uri:
    - https://github.com/ivmai/libatomic_ops/
    license: MIT boehm-gc GPL-2+
    buildtimestamp: 2025-12-08 14:13:07.306142952 +0000 UTC m=+3671.629923425
    labels:
      DEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
      IUSE: abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
        abi_s390_32 abi_s390_64
      emerge.packages: dev-libs/libatomic_ops
      kit: dev-kit
      original.package.name: dev-libs/libatomic_ops
      original.package.slot: "0"
      original.package.version: 7.6.6
    treedir: /build/packages
  package_dir: /pkgdir/libatomic_ops
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 038b47c87f549c3984a5fccd7edcaec3c228d837f19f4f8cbceaea08fdc9489d
compressiontype: zstd
files:
- usr/include/atomic_ops/ao_version.h
- usr/include/atomic_ops/generalize-arithm.h
- usr/include/atomic_ops/generalize-small.h
- usr/include/atomic_ops/generalize.h
- usr/include/atomic_ops/sysdeps/all_acquire_release_volatile.h
- usr/include/atomic_ops/sysdeps/all_aligned_atomic_load_store.h
- usr/include/atomic_ops/sysdeps/all_atomic_load_store.h
- usr/include/atomic_ops/sysdeps/all_atomic_only_load.h
- usr/include/atomic_ops/sysdeps/ao_t_is_int.h
- usr/include/atomic_ops/sysdeps/armcc/arm_v6.h
- usr/include/atomic_ops/sysdeps/emul_cas.h
- usr/include/atomic_ops/sysdeps/gcc/aarch64.h
- usr/include/atomic_ops/sysdeps/gcc/alpha.h
- usr/include/atomic_ops/sysdeps/gcc/arm.h
- usr/include/atomic_ops/sysdeps/gcc/avr32.h
- usr/include/atomic_ops/sysdeps/gcc/cris.h
- usr/include/atomic_ops/sysdeps/gcc/generic-arithm.h
- usr/include/atomic_ops/sysdeps/gcc/generic-small.h
- usr/include/atomic_ops/sysdeps/gcc/generic.h
- usr/include/atomic_ops/sysdeps/gcc/hexagon.h
- usr/include/atomic_ops/sysdeps/gcc/hppa.h
- usr/include/atomic_ops/sysdeps/gcc/ia64.h
- usr/include/atomic_ops/sysdeps/gcc/m68k.h
- usr/include/atomic_ops/sysdeps/gcc/mips.h
- usr/include/atomic_ops/sysdeps/gcc/powerpc.h
- usr/include/atomic_ops/sysdeps/gcc/riscv.h
- usr/include/atomic_ops/sysdeps/gcc/s390.h
- usr/include/atomic_ops/sysdeps/gcc/sh.h
- usr/include/atomic_ops/sysdeps/gcc/sparc.h
- usr/include/atomic_ops/sysdeps/gcc/tile.h
- usr/include/atomic_ops/sysdeps/gcc/x86.h
- usr/include/atomic_ops/sysdeps/generic_pthread.h
- usr/include/atomic_ops/sysdeps/hpc/hppa.h
- usr/include/atomic_ops/sysdeps/hpc/ia64.h
- usr/include/atomic_ops/sysdeps/ibmc/powerpc.h
- usr/include/atomic_ops/sysdeps/icc/ia64.h
- usr/include/atomic_ops/sysdeps/loadstore/acquire_release_volatile.h
- usr/include/atomic_ops/sysdeps/loadstore/atomic_load.h
- usr/include/atomic_ops/sysdeps/loadstore/atomic_store.h
- usr/include/atomic_ops/sysdeps/loadstore/char_acquire_release_volatile.h
- usr/include/atomic_ops/sysdeps/loadstore/char_atomic_load.h
- usr/include/atomic_ops/sysdeps/loadstore/char_atomic_store.h
- usr/include/atomic_ops/sysdeps/loadstore/double_atomic_load_store.h
- usr/include/atomic_ops/sysdeps/loadstore/int_acquire_release_volatile.h
- usr/include/atomic_ops/sysdeps/loadstore/int_atomic_load.h
- usr/include/atomic_ops/sysdeps/loadstore/int_atomic_store.h
- usr/include/atomic_ops/sysdeps/loadstore/ordered_loads_only.h
- usr/include/atomic_ops/sysdeps/loadstore/ordered_stores_only.h
- usr/include/atomic_ops/sysdeps/loadstore/short_acquire_release_volatile.h
- usr/include/atomic_ops/sysdeps/loadstore/short_atomic_load.h
- usr/include/atomic_ops/sysdeps/loadstore/short_atomic_store.h
- usr/include/atomic_ops/sysdeps/msftc/arm.h
- usr/include/atomic_ops/sysdeps/msftc/common32_defs.h
- usr/include/atomic_ops/sysdeps/msftc/x86.h
- usr/include/atomic_ops/sysdeps/msftc/x86_64.h
- usr/include/atomic_ops/sysdeps/ordered.h
- usr/include/atomic_ops/sysdeps/ordered_except_wr.h
- usr/include/atomic_ops/sysdeps/read_ordered.h
- usr/include/atomic_ops/sysdeps/standard_ao_double_t.h
- usr/include/atomic_ops/sysdeps/sunc/sparc.h
- usr/include/atomic_ops/sysdeps/sunc/x86.h
- usr/include/atomic_ops/sysdeps/test_and_set_t_is_ao_t.h
- usr/include/atomic_ops/sysdeps/test_and_set_t_is_char.h
- usr/include/atomic_ops.h
- usr/include/atomic_ops_malloc.h
- usr/include/atomic_ops_stack.h
- usr/lib64/libatomic_ops.a
- usr/lib64/libatomic_ops.so
- usr/lib64/libatomic_ops.so.1
- usr/lib64/libatomic_ops.so.1.1.1
- usr/lib64/libatomic_ops_gpl.a
- usr/lib64/libatomic_ops_gpl.so
- usr/lib64/libatomic_ops_gpl.so.1
- usr/lib64/libatomic_ops_gpl.so.1.1.2
- usr/lib64/pkgconfig/atomic_ops.pc
- usr/share/doc/libatomic_ops-7.6.6/AUTHORS.bz2
- usr/share/doc/libatomic_ops-7.6.6/COPYING.bz2
- usr/share/doc/libatomic_ops-7.6.6/ChangeLog.bz2
- usr/share/doc/libatomic_ops-7.6.6/LICENSING.txt.bz2
- usr/share/doc/libatomic_ops-7.6.6/README.md.bz2
- usr/share/doc/libatomic_ops-7.6.6/README_details.txt.bz2
- usr/share/doc/libatomic_ops-7.6.6/README_malloc.txt.bz2
- usr/share/doc/libatomic_ops-7.6.6/README_stack.txt.bz2
- usr/share/doc/libatomic_ops-7.6.6/README_win32.txt.bz2
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/BUILD_TIME
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/CATEGORY
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/CBUILD
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/CFLAGS
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/CHOST
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/CONTENTS
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/COUNTER
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/CTARGET
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/CXX
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/CXXFLAGS
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/DEFINED_PHASES
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/DEPEND
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/DESCRIPTION
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/EAPI
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/FEATURES
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/HOMEPAGE
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/INHERITED
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/IUSE
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/KEYWORDS
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/LDFLAGS
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/LICENSE
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/NEEDED
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/NEEDED.ELF.2
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/PF
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/PROVIDES
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/REQUIRES
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/SIZE
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/SLOT
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/USE
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/environment.bz2
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/libatomic_ops-7.6.6.ebuild
- var/db/pkg/dev-libs/libatomic_ops-7.6.6/repository
package_cacheimage: ""
runtime:
  name: libatomic_ops
  version: 7.6.6+1
  category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Implementation for atomic memory update operations
  uri:
  - https://github.com/ivmai/libatomic_ops/
  license: MIT boehm-gc GPL-2+
  labels:
    DEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
    IUSE: abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64
    emerge.packages: dev-libs/libatomic_ops
    kit: dev-kit
    original.package.name: dev-libs/libatomic_ops
    original.package.slot: "0"
    original.package.version: 7.6.6
